List serviceAnnouncement messages
Namespace: microsoft.graph
Retrieve the serviceUpdateMessage resources from the messages navigation property.
This operation retrieves all service update messages that exist for the tenant.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | ServiceMessage.Read.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | ServiceMessage.Read.All |
HTTP request
GET /admin/serviceAnnouncement/messages
Optional query parameters
This method supports the OData query parameters to help customize the response.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of serviceUpdateMessage objects in the response body. The response is paginated and each page contains 100 objects.
Example
Request
GET https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/messages
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#admin/serviceAnnouncement/messages",
"@odata.nextLink": "https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/messages?$skip=100",
"value": [
{
"startDateTime": "2019-02-01T18:51:00Z",
"endDateTime": "2019-06-01T08:00:00Z",
"lastModifiedDateTime": "2021-01-08T01:10:06.843Z",
"title": "(Updated) New feature: Changes to PowerPoint and Word to open files faster",
"id": "MC172851",
"category": "StayInformed",
"severity": "Normal",
"tags": [
"Updated message"
],
"isMajorChange": true,
"actionRequiredByDateTime": null,
"services": [
"SharePoint Online",
"OneDrive for Business"
],
"expiryDateTime": null,
"details": [
{
"name": "ExternalLink",
"value": "https://support.office.com/article/office-document-cache-settings-4b497318-ae4f-4a99-be42-b242b2e8b692"
}
],
"body": {
"contentType": "Text",
"content": "Updated January 07, 2021: Based on learnings from our early rings, we have made the decision to make additional changes to the code before we proceed with the rollout. We will update the Message center post once we re-start the rollout......"
},
"viewPoint": null
}
]
}
Maklum balas
Kirim dan lihat maklum balas untuk